@charset "utf-8";
/* CSS Document */
:root{
    /* --theme-color:green; */
    --theme-color:#7b8000;
	/* 花だより */
    --black:#333;
}
.seasonal-news__area *, .seasonal-news__area * *{
	font-family: "Zen Kaku Gothic New", "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, Osaka, "ＭＳ Ｐゴシック", "MS PGothic", sans-serif;
	color: var(--black);
}
.seasonal-news__area{
	background-image: url(img/background.jpg);
	/* background: beige; */
	padding: 2vh 0 0;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
}

.seasonal-news__area img{
	width: 100%;
	max-width: 100%;
	margin: 0 auto;
}

.seasonal-news__mainVisual{
	width: min(96%,648px);
	text-align: center;
	margin: 15px auto;
}

.seasonal-news__img{
	margin: 0 auto;
}

.seasonal-news__area .container{
	margin: 0 auto;
}

	@media screen and (min-width:600px) {
		.seasonal-news__area .container{
			width: min(96%,1024px);
		}
	}

	@media screen and (min-width:1281px) {
		.seasonal-news__area .container{
			width: min(96%,800px);
		}
	}

/* 更新日付 */
.seasonal-news__area .date__wrap{
	width: 12rem;
	text-align: center;
	background:var(--black);
	font-size: 0.875rem;
	color: #fff;
	padding: 0.25rem 1rem;
	margin: 0 auto 1rem;
	border-radius: 30px;
}
.seasonal-news__area .date__wrap date{
	color: #fff;
}
	@media screen and (min-width:600px) {
		.seasonal-news__area .date__wrap{
				margin: 0.5rem 1rem 0.5rem auto;
			}
		}

/* 紅葉スポットリスト */
.spot__list{
	margin: 0 auto;
	backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, .3);
	padding: 0.75rem;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(136px, 1fr));
	gap: 0.75rem;
}
	@media screen and (min-width:768px) {
		.spot__list{
			grid-template-columns: repeat(auto-fill, minmax(192px, 1fr));
			padding: 1rem;
		}
	}

.spot{
	background: #fdfdf5;
	border-radius: 0 1rem 0 1rem;
	display: flex;
	flex-direction: column;
	align-items: center;
}
.spot dt{
	width: 100%;
	min-height: 3em;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0.5rem 0.5rem calc(0.5rem - 2px);
	border-bottom: var(--theme-color) 2px solid;
	font-weight: bold;
	font-size: clamp(1rem,2.25vw,1.125rem);
	color: var(--theme-color);
}

.spot dd{
	display: flex;
	gap: 1rem;
	align-items: center;
	justify-content: center;
	padding: 0.5rem;
	width: 100%;
	min-height: 3em;
	font-weight: 500;
	font-size: clamp(1rem,2.25vw,1.5rem);
	color: var(--black);
}
.spot dd::after{
	content: "";
	display: block;
	width: 2rem;
	height: 2rem;
	background-size: contain;
	background-repeat: no-repeat;
}
	@media screen and (min-width:1024px) {
		.spot dd::after{
			width: 2.5rem;
			height: 2.5rem;
		}
	}

/* 花だよりステータスアイコン */
.tsubomi::after{background-image: url(img/hana_tsubomi.png); animation: zoom 2s infinite ease-in-out;
}
.sakihajime::after{background-image: url(img/hana_sakihajime.png); animation: zoom 2s infinite ease-in-out;
}
.gobuzaki::after{background-image: url(img/hana_gobuzaki.png); animation: zoom 2s infinite ease-in-out;
}
.shichibuzaki::after{background-image: url(img/hana_shichibuzaki.png); animation: zoom 2s infinite ease-in-out;
}
.mankai::after{background-image: url(img/hana_mankai.png); animation: zoom-pulse 2s infinite ease-in-out;
}
.chirihajime::after{background-image: url(img/hana_chirihajime.png); animation: zoom 2s infinite ease-in-out;
}
.owari::after{background-image: url(img/hana_owari.png); animation: zoom 2s infinite ease-in-out;
}

@keyframes zoom {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
}
@keyframes zoom-pulse{
 0% {
        transform: scale(1.2)
    }
    10% {
        transform: scale(1)
    }
    50% {
        transform: scale(1.1);
    }
    90% {
        transform: scale(1)
    }
    100% {
        -webkit-transform: scale(1.2)
    }
 }
/* マップ部分 */
.map{
	width: 100%;
	margin: 6rem auto 9rem;		
	display: grid;
	place-items: center;
}

.map__frame{
	width: 100%;
	max-width: 800px;
}
@media screen and (min-width:1024px) {
	.map__frame{
		padding: 1rem;
		background: #eee;
		filter: drop-shadow(3px 3px 8px #555);
	}
}


/*ページ上部へ戻るボタン*/
#page-top {
	position: sticky;/* seasonal-news__area内 */
    width: 36px;
    height: 36px;
	margin: 0 0 0 auto;
    bottom: 10px;
    right: 10px;
    font-size: 100%;
	z-index: 10;
}
#page-top a {
    background: var(--theme-color);
    opacity: 0.8;
    text-decoration: none;
    color: #fff;
    width: 36px;
    height: 36px;
    padding: 5px 0;
    text-align: center;
    display: grid;
    place-items:center;
}

#page-top a::after{
	display: block;
	content: "";
	width: 8px;
	height: 8px;
	border-top:#fff 2px solid;
	border-right:#fff 2px solid;
	transform: rotate(-45deg);
}
#page-top a:hover{
    opacity: 0.6;
}

.hidden {
  display: none !important;
}

